#ifndef ISPINDEL_H
#define ISPINDEL_H

#include <QObject>
#include "IspindelGUI.h"
#include "IspindelData.h"
#include <QList>
#include "QCustomPlot/qcustomplot.h"

class CIspindelInterface;

class CIspindel : public QObject
{
    Q_OBJECT
public:
    explicit CIspindel(CIspindelGUI *IspindelGui);
    ~CIspindel();

    CIspindelGUI *mIspindelGui;


    void Start();
    void IspindelFullBufferReceived(QByteArray *Data);
    void IspindelLastFrameReceived(QByteArray Data);
    void ClearIspindleDataList();
    void ConnectedToMaster(bool connected);
    void SetLasFrameTextInGUI(CIspindelData Frame);
    int SetOGFromItem(int ItemIndex);
    int DeleteSample(int ItemIndex);
    int DeleteSampleResponseReceived(QByteArray Data);

    QList<CIspindelData*> mIspindelDataList;
    CIspindelInterface *mNetworkInterface;
    double mOG;



signals:

public slots:
};

#endif // ISPINDEL_H
